# $Revision: 1.61 $, $Date: 2008/11/19 02:36:44 $
Summary:	Privileged helper for utmpx updates
Summary(es.UTF-8):	Programa para actualización del utmp/wtmp
Summary(pl.UTF-8):	Program pozwalający na zapisywanie w utmpx
Summary(pt_BR.UTF-8):	Programa para atualização do utmp/wtmp
Summary(ru.UTF-8):	Привилегированная программа для изменений в utmp/wtmp
Summary(uk.UTF-8):	Привілейована програма для внесення змін до utmp/wtmp
Name:		utempter
Version:	0.5.5
Release:	9
License:	MIT or LGPL
Group:		Base
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	a628f149132e2f729bc4601e6a4f6c29
Patch0:		%{name}-lastlog.patch
Patch1:		%{name}-utmp-cleanup.patch
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(post,postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/groupdel
Provides:	group(utmp)
Obsoletes:	libutempter0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utempter is a utility which allows programs to log information to a
privileged file (/var/run/utmpx), without compromising system
security. It accomplishes this task by acting as a buffer between root
and the programs.

%description -l es.UTF-8
Programa para actualización del utmp/wtmp.

%description -l pl.UTF-8
Utempter jest programem pozwalającym użytkownikom na zapisywanie do
pliku /var/run/utmpx bez naruszania bezpieczeństwa systemu.

%description -l pt_BR.UTF-8
O Utempter é um utilitários que permite a programas guardar informação
à arquivos privilegiados (/var/run/utmp), sem comprometer a segurança
do sistema. Ele faz esta tarefa atuando como um "buffer" entre o
usuário root e os programas.

%description -l ru.UTF-8
Utempter - это утилита, которая позволяет программам записывать
информацию в привилегированный файл (/var/run/utmp) без нарушения
системной безопасности. Она исполняет эту задачу, выступая буфером
между root'ом и пользовательскими программами.

%description -l uk.UTF-8
Utempter - це утиліта, що дозволяє програмам записувати інформацію в
привілейований файл (/var/run/utmp) без порушення системної безпеки.
Вона виконує цю задачу, виступаючи буфером між root'ом та програмами
користувача.

%package devel
Summary:	Header file for utempter library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki utemptera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libutempter0-devel

%description devel
Header file for utempter library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki utemptera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	LIBDIR="%{_libdir}" \
	RPM_BUILD_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/run
:> $RPM_BUILD_ROOT/var/run/utmpx

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 22 utmp

%post
/sbin/ldconfig
if [ ! -f /var/run/utmpx ]; then
	umask 002
	touch /var/run/utmpx
	chown root:utmp /var/run/utmpx
	chmod 0664 /var/run/utmpx
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove utmp
fi

%files
%defattr(644,root,root,755)
%attr(2755,root,utmp) %{_sbindir}/utempter
%attr(755,root,root) %{_sbindir}/utmp-cleanup
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(664,root,utmp) %ghost /var/run/utmpx

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/utempter.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: utempter.spec,v $
Revision 1.61  2008/11/19 02:36:44  glen
- release 9

Revision 1.60  2007/09/05 13:44:37  baggins
- rel 8

Revision 1.59  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.58  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.57  2006/11/08 08:15:52  qboosh
- added groupadd/groupdel deps

Revision 1.56  2006/11/07 06:21:52  glen
- create utmp group by our own, not to depend on SysVinit just for group(utmp); rel 7

Revision 1.55  2005/12/03 02:18:27  glen
- rel 6

Revision 1.54  2005/07/12 18:31:48  qboosh
- use modern chown syntax, cosmetics

Revision 1.53  2005/07/12 17:16:30  glen
- create utmpx in %post, so no reboot is needed for file to be created
  (consider cases when admin boots from livecd and starts installing pld over ssh)

Revision 1.52  2005/05/13 16:53:11  baggins
- release 5
- prereq group(utmp) instead of SysVinit

Revision 1.51  2004/09/29 17:34:16  undefine
- fix user, utmp is not needed..

Revision 1.50  2004/09/29 17:33:40  undefine
- release 4 for AC

Revision 1.49  2004/09/29 17:31:42  undefine
- don't give sgid to utmp-cleanup! it allow clean utmp files for anybody...
  and with restricted proc simply clean all entries
- release 3 (for RA)

Revision 1.48  2004/06/07 18:19:50  blues
- release 2

Revision 1.47  2004/05/13 17:16:00  pluto
- updated to 0.5.5.

Revision 1.46  2004/04/20 09:20:27  qboosh
- strict internal deps, fixed -devel desc

Revision 1.45  2004/04/20 09:11:21  qboosh
- added path-sec patch (fixes CAN-2004-0233); release 2

Revision 1.44  2003/12/20 13:42:12  qboosh
- acc. to included spec it's dual-licensed now (MIT/LGPL)
- don't include autogenerated symlink

Revision 1.43  2003/12/18 22:37:19  arekm
- updated to 0.5.3 (tarball from fedora)

Revision 1.42  2003/08/30 22:45:40  mmazur
- rel 10 for ac

Revision 1.41  2003/05/25 11:01:15  malekith
- massive attack, adding Source-md5

Revision 1.40  2003/05/25 06:27:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2002/06/15 12:19:10  undefine
- release 9.

Revision 1.38  2002/05/31 21:00:30  undefine
- add utempter-utmp-cleanup.patch which add utmp-cleanup program to clean
  utmp base (by Andrzej Szombierski<anszom@v-lo.krakow.pl>)
- release 8.1

Revision 1.37  2002/04/10 21:43:47  kloczek
- libutempter0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.36  2002/04/10 21:42:13  kloczek
- release 8: merge translations from KSI and Conectiva.

Revision 1.35  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/02/18 13:02:30  gotar
- removed Prereq: /sbin/ldconfig (glibc content).

Revision 1.33  2002/01/18 02:15:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/29 23:53:35  gotar
- %description changes/adds.

Revision 1.31  2001/11/24 02:11:30  kloczek
- release 6.

Revision 1.30  2001/10/30 23:10:57  qboosh
- adapterized, cosmetics, fixed spelling, added reaining pl translations

Revision 1.29  2001/10/30 18:34:16  gotar
- some useless cosmetics.

Revision 1.28  2001/05/27 17:07:05  kloczek
- release 5.

Revision 1.27  2001/05/03 01:14:04  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.26  2000/06/09 07:24:01  kloczek
- added using %{__make} macro.

Revision 1.25  2000/06/07 04:41:53  kloczek
- spec adapterized.

Revision 1.24  2000/05/10 17:37:48  kloczek
- release 3 (to allow upgrade from RH 6.2).

Revision 1.23  2000/05/09 14:52:05  baggins
- updated to 0.5.2
- added patch for lastlog logging

Revision 1.22  2000/04/25 19:36:49  zagrodzki
- removed almost everything from %post

Revision 1.21  2000/04/25 19:18:08  zagrodzki
- Prereq: make, fileutils

Revision 1.20  2000/04/15 15:27:21  mis
- moved creation of utmp group to SysVinit (to avoid requirements loop)

Revision 1.19  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.17  1999/12/15 21:05:08  kloczek
- release 4,
- added "rm -f /var/run/utmp" in %post.

Revision 1.16  1999/12/02 12:28:20  kloczek
- updated to 0.5.1,
- changed permission on sgid binary to 2755.

Revision 1.15  1999/08/01 23:07:27  kloczek
- fixed groupadd parameters.

Revision 1.14  1999/08/01 23:05:35  kloczek
- ops: /sbin/ldconfig can not be runed as -p parameter,
- Prereq: /sbin/ldconfig rules added.

Revision 1.13  1999/08/01 23:01:01  kloczek
- more utmpx -> utmp group fixes.

Revision 1.12  1999/08/01 22:55:43  kloczek
- utmpx group changed to utmp (for compatybility with RH).

Revision 1.11  1999/08/01 22:52:55  kloczek
- /sbin/ldconfig as %post -p parameter,
- cosmetics.

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).
